/***************************************************************************
 *   Copyright (C) 2008 by Tamino Dauth                                    *
 *   tamino.dauth@web.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QtGui>

#include "progressdialog.h"
#include "mainwindow.h"

namespace hpp
{

bool ProgressDialog::canceled() const
{
	return m_canceled;
}

ProgressDialog::ProgressDialog(MainWindow *parent) : QDialog(parent)
{
	setupUi(this);

	connect(this, SIGNAL(accepted()), this, SLOT(finish()));
	
	hide();
}

void ProgressDialog::run(int maxValue)
{
	qDebug("Run");
	m_canceled = false;
	this->maxValue = maxValue;
	retranslateUi(this);
	show();
	//QMessageBox::information(this, tr("Hallo"), tr("Jaja"));
}

void ProgressDialog::changeValue(int value)
{
	progressBar->setValue(value / maxValue * 100);
}

void ProgressDialog::finish()
{
	m_canceled = true;
	qDebug("Finish");
}

};
